- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QLogicalDevice
- Qt 6.8.2 Reference Documentation

# QLogicalDevice Class

class Qt3DInput::QLogicalDevice

QLogicalDevice allows the user to define a set of actions that they wish to use within an application. More...

Header: | `#include <QLogicalDevice>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | LogicalDevice
Inherits: | Qt3DCore::QComponent
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QLogicalDevice(Qt3DCore::QNode *parent = nullptr)
QList<Qt3DInput::QAction *> | actions() const
void | addAction(Qt3DInput::QAction *action)
void | addAxis(Qt3DInput::QAxis *axis)
QList<Qt3DInput::QAxis *> | axes() const
void | removeAction(Qt3DInput::QAction *action)
void | removeAxis(Qt3DInput::QAxis *axis)

## Detailed Description

## Member Function Documentation

### `[explicit]` QLogicalDevice::QLogicalDevice(Qt3DCore::QNode *parent = nullptr)

Constructs a new QLogicalDevice instance with parent parent.

### QList<Qt3DInput::QAction *> QLogicalDevice::actions() const

Returns the list of actions.

### void QLogicalDevice::addAction(Qt3DInput::QAction *action)

Add an action to the list of actions.

### void QLogicalDevice::addAxis(Qt3DInput::QAxis *axis)

Add an axis to the list of axis.

### QList<Qt3DInput::QAxis *> QLogicalDevice::axes() const

Returns the list of axis.

### void QLogicalDevice::removeAction(Qt3DInput::QAction *action)

Remove an action from the list of actions.

### void QLogicalDevice::removeAxis(Qt3DInput::QAxis *axis)

Remove an axis drom the list of axis.